Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1074254 - [engine-webadmin] unclear error message for adding a POSIXFS domain to a 3.0 shared DC
Summary: [engine-webadmin] unclear error message for adding a POSIXFS domain to a 3.0 ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.4.0
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.5.0
Assignee: Tal Nisan
QA Contact: Elad
URL:
Whiteboard: storage
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-03-09 09:01 UTC by Elad
Modified: 2016-02-10 17:04 UTC (History)
9 users (show)

Fixed In Version: ovirt-engine-3.5.0_alpha1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
oVirt Team: Storage
Target Upstream Version:
amureini: Triaged+


Attachments (Terms of Use)
engine.log and screenshot (deleted)
2014-03-09 09:01 UTC, Elad
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 26010 None None None Never

Description Elad 2014-03-09 09:01:57 UTC
Created attachment 872379 [details]
engine.log and screenshot

Description of problem:
When attaching a new POSIXFS storage domain to a pre-configured 3.0 data center, user gets an unclear error message on UI:



Version-Release number of selected component (if applicable):
rhevm-3.4.0-0.3.master.el6ev.noarch

How reproducible:
Always

Steps to Reproduce:
On 3.4 setup:
1. Create a 3.0 DC and cluster and add a host 
2. Initialize the DC from an iscsi domain
3. Create and attach a new POSIXFS data domain to the DC

Actual results:
Attaching a POSIXFS domain to a 3.0 shared DC fails with the following error message:
	
Operation Canceled
Error while executing action: The Action ${action} is not supported for this Cluster or Data Center compatibility version

CanDoAction failure in engine.log:

2014-03-09 10:38:19,411 WARN  [org.ovirt.engine.core.bll.storage.AddPosixFsStorageDomainCommand] (ajp-/127.0.0.1:8702-3) [1612da3f] CanDoAction of action AddPosixFsStorageDomain
 failed. Reasons:VAR__TYPE__STORAGE__DOMAIN,ACTION_NOT_SUPPORTED_FOR_CLUSTER_POOL_LEVEL


Expected results:
An appropriate error message should be shown to user when action of adding a POSIXFS domain fails.


Additional info: engine.log and screenshot

Comment 1 Elad 2014-05-28 10:46:19 UTC
Adding a POSIXFS storage domain to a shared 3.0 DC is now blocked on CanDoAction and is presented to user with an informative message.

 2014-05-28 13:42:54,479 WARN  [org.ovirt.engine.core.bll.storage.AddPosixFsStorageDomainCommand] (ajp--127.0.0.1-8702-2) [6c5cc98] CanDoAction of action AddPosixFsStorageDomain failed. Reasons:VAR__TYPE__STORAGE__DOMAIN,VAR__ACTION__ADD,ACTION_NOT_SUPPORTED_FOR_CLUSTER_POOL_LEVEL

	
Operation Canceled
Error while executing action: The Action add Storage is not supported for this Cluster or Data Center compatibility version



Verified using ovirt-engine-3.5.0_alpha1.1
ovirt-engine-3.5.0-0.0.master.20140519181229.gitc6324d4.el6.noarch

Comment 3 Allon Mureinik 2015-02-16 19:13:10 UTC
RHEV-M 3.5.0 has been released, closing this bug.

Comment 4 Allon Mureinik 2015-02-16 19:13:14 UTC
RHEV-M 3.5.0 has been released, closing this bug.


Note You need to log in before you can comment on or make changes to this bug.